Bug 79738 - FILEOPEN: DOC - Number lines in footer not compatible with MSO
Summary: FILEOPEN: DOC - Number lines in footer not compatible with MSO
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords: filter:doc, filter:docx
Depends on:
Blocks: DOCX-Header-Footer DOC-Header-Footer
  Show dependency treegraph
 
Reported: 2014-06-06 18:39 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-02-25 21:26 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
LibO 4.3 beta VS Word 2010 (192.07 KB, image/png)
2014-06-06 18:39 UTC, Yousuf Philips (jay) (retired)
Details
sample docx (59.32 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-10-08 12:32 UTC, Yousuf Philips (jay) (retired)
Details
Still reproducible with .DOC file (74.00 KB, application/msword)
2018-10-09 14:39 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-06 18:39:33 UTC
Created attachment 100527 [details]
LibO 4.3 beta VS Word 2010

When reviewing attachment 100315 [details] of bug 79553, i noticed the number '1' is located in the footer of every page on the left side, which isnt there when opening it in ms word. Tested in Linux Mint in 3.3.0, 4.2.4 and 4.3 beta.
Comment 1 Jacques Guilleron 2014-06-12 13:42:23 UTC
Hello Jay,

I reproduce too with LO 4.2.4.2 & Windows 7 Home Premium.

regards,

Jacques
Comment 2 Jacques Guilleron 2014-06-12 13:48:55 UTC
Reproduced also with LO 4.3.0.0.beta2+ 
Build ID: 4b5975b1f777c85259bc38afbfae8e1160fbebbe
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-06-08_21:29:21

and LO 3.6.6.2.

Jacques
Comment 3 Frederic Parrenin 2014-09-24 17:14:49 UTC
This is probably because writer numbers lines even in footer while MS word does not.
Maybe we need an option to say if we want to number headers/footers or not, so that we can be compatible with MS word.
Comment 4 Charu Tyagi 2014-12-17 04:56:14 UTC
The same issue holds true for the .docx file as well.The importing of header and footer is not properly handled in libre office. This behaviour of libre office is not compatible with MS word.
Comment 5 Yousuf Philips (jay) (retired) 2014-12-17 06:24:58 UTC
Confirmed it is still present in master.

Version: 4.5.0.0.alpha0+
Build ID: e570cd7a293ceee175949dcc9656cdf776ae3c37
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-12-12_18:49:54
Comment 6 Charu Tyagi 2014-12-19 11:06:34 UTC
I have a patch for the bug that fixes the issue in .docx : https://gerrit.libreoffice.org/#/c/13539/
Comment 7 Commit Notification 2015-01-04 11:08:29 UTC
Charu Tyagi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b743ccf8b5bb51b4d390e64f2916ac1759419a1

fdo#79738: FILEOPEN: Number lines in footer not compatible with MSO

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-01-04 11:08:32 UTC
Charu Tyagi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1c45f55cde70d71154fa12b2449b20a256d3a26

fdo#79738: test document for patch that that fixes 79738

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-01-04 11:08:35 UTC
Charu Tyagi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=799e07f02dbca97f4dd9cff5b779392b13b9021c

fdo#79738: Test case for patch that fixes 79738

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Yousuf Philips (jay) (retired) 2015-01-04 11:42:27 UTC
Thanks Charu Tyagi for the patch. Hope that it can be backported to 4.4 as well.
Comment 11 Frederic Parrenin 2015-08-07 22:34:21 UTC
This bug is still present in 5.0.0.5.
Comment 12 raal 2015-10-30 09:27:13 UTC
Still reproducible with Version: 5.1.0.0.alpha1+
Build ID: 8bde421ccec9c10fe1382ad68485852889dd4c74; win7

Charu, could you possibly take a look at this one? Thanks
Comment 13 Robinson Tryon (qubit) 2015-12-14 06:01:52 UTC Comment hidden (obsolete)
Comment 14 Yousuf Philips (jay) (retired) 2017-10-08 12:31:53 UTC
Fixed for .docx (as Charu mentioned in comment 6), but still remaining for .doc.

on: 6.0.0.0.alpha0+
Build ID: 74b47af9885ba4c59195fedc1e0510b8b056a025
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 15 Yousuf Philips (jay) (retired) 2017-10-08 12:32:40 UTC
Created attachment 136850 [details]
sample docx
Comment 16 QA Administrators 2018-10-09 02:52:32 UTC Comment hidden (obsolete)
Comment 17 Frederic Parrenin 2018-10-09 14:32:08 UTC
It seems fixed in 6.1.2.1.
Comment 18 Xisco Faulí 2018-10-09 14:39:15 UTC
Created attachment 145532 [details]
Still reproducible with .DOC file